XARGS(1)

NAME
xargs - construct argument list(s) and execute utility

SYNOPSIS
xargs [-0] [-t] [[-x] -n number] [-s size] [utility [arguments ...]]

DESCRIPTION
The xargs utility reads space, tab, newline and end-of-file delimited arguments from the standard input and executes the specified utility with them as arguments.

The utility and any arguments specified on the command line are given to the utility upon each invocation, followed by some number of the arguments read from standard input. The utility is repeatedly executed until standard input is exhausted.

Spaces, tabs and newlines may be embedded in arguments using single (`` ' '') or double (``"'') quotes or backslashes (``\''). Single quotes escape all non-single quote characters, excluding newlines, up to the matching single quote. Double quotes escape all non-double quote characters, excluding newlines, up to the matching double quote. Any single character, including newlines, may be escaped by a backslash.

The options are as follows:

-0  Use NUL (``\0'') instead of whitespace as the argument separator. This can be used in conjuction with the -print0 option of find(1).

-n number
    Set the maximum number of arguments taken from standard input for each invocation of the utility. An invocation of utility will use less than number standard input arguments if the number of bytes accumulated (see the -s option) exceeds the specified size or there are fewer than number arguments remaining for the last invocation of utility. The current default value for number is 5000.

-s size
    Set the maximum number of bytes for the command line length provided to utility. The sum of the length of the utility name and the arguments passed to utility (including NULL terminators) will be less than or equal to this number. The current default value for size is ARG_MAX - 2048.

-t  Echo the command to be executed to standard error immediately before it is executed.

-x  Force xargs to terminate immediately if a command line containing number arguments will not fit in the specified (or default) command line length.

If no utility is specified, echo(1) is used.

Undefined behavior may occur if utility reads from the standard input.

The xargs utility exits immediately (without processing any further input) if a command line cannot be assembled, utility cannot be invoked, an invocation of the utility is terminated by a signal or an invocation of the utility exits with a value of 255.

DIAGNOSTICS
xargs exits with one of the following values:
0   All invocations of utility returned a zero exit status.
123 One or more invocations of utility returned a nonzero exit status.
124 The utility exited with a 255 exit status.
125 The utility was killed or stopped by a signal.
126 The utility was found but could not be invoked.
127 The utility could not be found.
1   Some other error occurred.

SEE ALSO
echo(1), find(1)

STANDARDS
The xargs utility is expected to be p1003.2 compliant.

HISTORY
The xargs command appeared in PWB Unix 1.0. It made its first BSD appearance in the 4.3 Reno release.

The meaning of 123, 124, and 125 exit values and the -0 option were taken from GNU xargs.